Bug 223226 - No functional package for updates via RHN
No functional package for updates via RHN
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-18 10:17 EST by Oliver Frommel
Modified: 2013-01-10 04:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 11:50:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Frommel 2007-01-18 10:17:26 EST
Description of problem:

No functional package for updates.

After installing Red Hat Enterprise Linux 5 Beta2 ("Client") I noticed that
it does not check for automatic updates. As far as I understand up2date has
been deprecated and is now supposedly replaced by rhn-client-tools and
rhn-applet. Unfortunately running rhn-applet-gui produces an error message:

Traceback (most recent call last):
  File "/usr/bin/rhn-applet-gui", line 30, in ?
    import rhn_applet
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 36, in ?
    from rhn_applet_model import rhnAppletModelGUI
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 25, in ?
    from rhn_sources import getSources, changedSources
  File "/usr/share/rhn/rhn_applet/rhn_sources.py", line 8, in ?
    from sourcesConfig import SourcesConfigFile
ImportError: No module named sourcesConfig
Comment 1 James Bowes 2007-01-22 11:50:30 EST
Hi:

up2date is actually replaced by yum. rhn-client-tools and yum-rhn-plugin provide
the compataility layer to talk to RHN. rhn-applet has been replaced by the
puplet program, which is included in the pirut package. By default it is not
displayed on the gnome panel; it will only appear when there are updates to install.

Hope this helps!

Note You need to log in before you can comment on or make changes to this bug.